cURL
curl --request POST \ --url https://api-prod.nomadicml.com/api/video/signed-urls \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "requests": [ { "request_id": "<string>", "video_id": "<string>", "path": "<string>", "expires_in": 900, "method": "GET", "share_token": "<string>", "allow_sample": false, "batch_id": "<string>" } ] } '
{ "results": {} }
Create short-lived signed playback URLs for multiple videos.
Documentation IndexFetch the complete documentation index at: https://docs.nomadicml.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.nomadicml.com/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <NOMADIC_API_KEY>.
Authorization: Bearer <NOMADIC_API_KEY>
50
Show child attributes
Successful response.
Map of request_id to a signed URL result or per-item error.
Was this page helpful?